List sso connections for a current
GET
/v1/tenants/current/sso-connectionscurl -X GET 'https://api.embodiflow.io/v1/tenants/current/sso-connections' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Query parameters
- pageSizenumber
Page size. Default 25, maximum 100. Values above the maximum are refused.
- pageTokenstring
Opaque page token from the previous response's `nextPageToken`.
Responses
Success
- dataarray<TenantSsoConnectionDto>required
- idstringrequired
- namestringrequired
- protocolstringrequiredAllowed valuesoidcsaml
- statusstringrequiredAllowed valuesdisableddraftenabled
- issuerstring | nullrequired
- clientIdstring | nullrequired
- hasClientSecretone ofrequired
- secretRefstring | nullrequired
- authorizationEndpointstring | nullrequired
- tokenEndpointstring | nullrequired
- jwksUristring | nullrequired
- samlEntityIdstring | nullrequired
- samlAcsUrlstring | nullrequired
- samlMetadataUrlstring | nullrequired
- hasSamlCertificateone ofrequired
- createdAtstringrequired
- updatedAtstringrequired
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobjectrequired
- requestIdstringrequired
- pageSizenumberrequired
Response example
{
"data": [
{
"id": "string",
"name": "string",
"protocol": "oidc",
"status": "disabled",
"issuer": "string",
"clientId": "string",
"hasClientSecret": false,
"secretRef": "string",
"authorizationEndpoint": "string",
"tokenEndpoint": "string",
"jwksUri": "string",
"samlEntityId": "string",
"samlAcsUrl": "string",
"samlMetadataUrl": "string",
"hasSamlCertificate": false,
"createdAt": "string",
"updatedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"requestId": "string",
"pageSize": 0
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1